[HOME] [DOWNLOAD] [DOCS] [BLOG] [SUPPORT] [TIPS] [ISSUES] [Priority Support]

How to build Whonix from sources


#1

I did anything like here:

Running command:

# sudo ./whonix_build --build --terminal-only --no-default-applications --virtualbox --tor-gateway

And got error:

+ set -o pipefail + trap build_main_error_handler ERR +++ dirname ./whonix_build ++ cd . ++ pwd + MYDIR=/home/user/Whonix + cd /home/user/Whonix + source ./help-steps/parse-cmd + build_main_defaults + trap build_main_error_handler ERR + true './help-steps/parse-cmd build_main_defaults: Setting defaults (only for prettier output below).' + WHONIX_MAIN_SCRIPT_BUILD_GATEWAY=false + WHONIX_MAIN_SCRIPT_BUILD_WORKSTATION=false + WHONIX_MAIN_SCRIPT_BUILD_CUSTOM_WORKSTATION=false + build_main_parse_cmd --build --terminal-only --no-default-applications --virtualbox --tor-gateway + trap build_main_error_handler ERR + true './help-steps/parse-cmd build_main_parse_cmd: parsing command line arguments...' + true './help-steps/parse-cmd build_main_parse_cmd: ${1+"$@"}: --build' --terminal-only --no-default-applications --virtualbox --tor-gateway + local got_flavor=false + : + case $1 in + echo 'unknown option: --build' unknown option: --build + error 'unknown option: --build' ./help-steps/parse-cmd: line 79: error: command not found ++ build_main_error_handler +++ caller ++ : echo ' BASH_COMMAND: error "${red}${bold}unknown option: $1${reset}" ERROR ./whonix_build: | caller: 79 ./help-steps/parse-cmd ' ++ exit 1

Help.


Possible to build terminal-only whonix-gw?
#2

Looks like you build from master rather than 9.4 tag. Most likely you forgot this step:


#3

@Patrick
Got it, many thanks and sorry for wasting your valuable time. I will have to donate Whonix soon! :slight_smile:


#4

No problem. Thanks!